Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 3106)
+++ admin/blogs.php	(revision 3397)
@@ -80,16 +80,6 @@
 -------------------------------------------------------- */
 
-$form_filter_title = __('Show filters and display options');
-$starting_script  = dcPage::jsLoad('js/filter-controls.js');
-$starting_script .=
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA["."\n".
-	dcPage::jsVar('dotclear.msg.show_filters', $show_filters ? 'true':'false')."\n".
-	dcPage::jsVar('dotclear.msg.filter_posts_list',$form_filter_title)."\n".
-	dcPage::jsVar('dotclear.msg.cancel_the_filter',__('Cancel filters and display options'))."\n".
-	"//]]>".
-	"</script>";
-
-dcPage::open(__('List of blogs'),$starting_script,
+dcPage::open(__('List of blogs'),
+	dcPage::jsFilterControl($show_filters),
 	dcPage::breadcrumb(
 		array(
@@ -111,5 +101,5 @@
 	echo
 	'<form action="'.$core->adminurl->get("admin.blogs").'" method="get" id="filters-form">'.
-	'<h3 class="hidden">'.__('Filter blogs list').'</h3>'.
+	'<h3 class="out-of-screen-if-js">'.__('Show filters and display options').'</h3>'.
 
 	'<div class="table">'.
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 3360)
+++ admin/comments.php	(revision 3397)
@@ -186,17 +186,6 @@
 -------------------------------------------------------- */
 
-$form_filter_title = __('Show filters and display options');
-$starting_script  = dcPage::jsLoad('js/_comments.js');
-$starting_script .= dcPage::jsLoad('js/filter-controls.js');
-$starting_script .=
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA["."\n".
-	dcPage::jsVar('dotclear.msg.show_filters', $show_filters ? 'true':'false')."\n".
-	dcPage::jsVar('dotclear.msg.filter_posts_list',$form_filter_title)."\n".
-	dcPage::jsVar('dotclear.msg.cancel_the_filter',__('Cancel filters and display options'))."\n".
-	"//]]>".
-	"</script>";
-
-dcPage::open(__('Comments and trackbacks'),$starting_script,
+dcPage::open(__('Comments and trackbacks'),
+	dcPage::jsLoad('js/_comments.js').dcPage::jsFilterControl($show_filters),
 	dcPage::breadcrumb(
 		array(
@@ -247,7 +236,7 @@
 	echo
 	'<form action="'.$core->adminurl->get("admin.comments").'" method="get" id="filters-form">'.
-	'<h3 class="hidden">'.__('Filter comments and trackbacks list').'</h3>'.
+	'<h3 class="out-of-screen-if-js">'.__('Show filters and display options').'</h3>'.
+
 	'<div class="table">'.
-
 	'<div class="cell">'.
 	'<h4>'.__('Filters').'</h4>'.
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 3360)
+++ admin/posts.php	(revision 3397)
@@ -312,17 +312,6 @@
 -------------------------------------------------------- */
 
-$form_filter_title = __('Show filters and display options');
-$starting_script  = dcPage::jsLoad('js/_posts_list.js');
-$starting_script .= dcPage::jsLoad('js/filter-controls.js');
-$starting_script .=
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA["."\n".
-	dcPage::jsVar('dotclear.msg.show_filters', $show_filters ? 'true':'false')."\n".
-	dcPage::jsVar('dotclear.msg.filter_posts_list',$form_filter_title)."\n".
-	dcPage::jsVar('dotclear.msg.cancel_the_filter',__('Cancel filters and display options'))."\n".
-	"//]]>".
-	"</script>";
-
-dcPage::open(__('Entries'),$starting_script,
+dcPage::open(__('Entries'),
+	dcPage::jsLoad('js/_posts_list.js').dcPage::jsFilterControl($show_filters),
 	dcPage::breadcrumb(
 		array(
@@ -341,5 +330,5 @@
 	'<p class="top-add"><a class="button add" href="'.$core->adminurl->get("admin.post").'">'.__('New entry').'</a></p>'.
 	'<form action="'.$core->adminurl->get("admin.posts").'" method="get" id="filters-form">'.
-	'<h3 class="out-of-screen-if-js">'.$form_filter_title.'</h3>'.
+	'<h3 class="out-of-screen-if-js">'.__('Show filters and display options').'</h3>'.
 
 	'<div class="table">'.
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 3360)
+++ admin/users.php	(revision 3397)
@@ -112,17 +112,6 @@
 -------------------------------------------------------- */
 
-$form_filter_title = __('Show filters and display options');
-$starting_script  = dcPage::jsLoad('js/_users.js');
-$starting_script .= dcPage::jsLoad('js/filter-controls.js');
-$starting_script .=
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA["."\n".
-	dcPage::jsVar('dotclear.msg.show_filters', $show_filters ? 'true':'false')."\n".
-	dcPage::jsVar('dotclear.msg.filter_posts_list',$form_filter_title)."\n".
-	dcPage::jsVar('dotclear.msg.cancel_the_filter',__('Cancel filters and display options'))."\n".
-	"//]]>".
-	"</script>";
-
-dcPage::open(__('Users'),$starting_script,
+dcPage::open(__('Users'),
+	dcPage::jsLoad('js/_users.js').dcPage::jsFilterControl($show_filters),
 	dcPage::breadcrumb(
 		array(
@@ -144,5 +133,5 @@
 	'<p class="top-add"><strong><a class="button add" href="'.$core->adminurl->get("admin.user").'">'.__('New user').'</a></strong></p>'.
 	'<form action="'.$core->adminurl->get("admin.users").'" method="get" id="filters-form">'.
-	'<h3 class="out-of-screen-if-js">'.$form_filter_title.'</h3>'.
+	'<h3 class="out-of-screen-if-js">'.__('Show filters and display options').'</h3>'.
 
 	'<div class="table">'.
